--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

function NS:LoadSettingsQuartz()
	local FauxMazzle = {
		["namespaces"] = {
			["Swing"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["swinggap"] = 1,
					},
				},
			},
			["Buff"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["target"] = false,
						["focus"] = false,
					},
				},
			},
			["Interrupt"] = {
			},
			["Flight"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["y"] = 300.0000494831993,
						["x"] = 835.0000494831993,
					},
				},
			},
			["Pet"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["h"] = 20,
						["w"] = 190,
						["font"] = "Calibri",
						["iconalpha"] = 0.75,
						["border"] = "None",
						["fontsize"] = 11,
						["texture"] = "BantoBarReverse",
						["x"] = 678,
						["y"] = 562,
					},
				},
			},
			["Player"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["h"] = 20,
						["w"] = 190,
						["y"] = 585.0003051757813,
						["font"] = "Calibri",
						["iconalpha"] = 0.75,
						["border"] = "None",
						["fontsize"] = 11,
						["x"] = 678,
						["texture"] = "BantoBarReverse",
					},
				},
			},
			["Focus"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["h"] = 20,
						["w"] = 190,
						["y"] = 562,
						["x"] = 1253,
--						["x"] = 1092.000244140625,
						["iconalpha"] = 0.75,
						["iconposition"] = "right",
						["border"] = "None",
						["fontsize"] = 11,
						["texture"] = "BantoBarReverse",
						["font"] = "Calibri",
					},
				},
			},
			["Target"] = {
				["profiles"] = {
					["FauxMazzle"] = {
						["h"] = 20,
						["w"] = 190,
						["y"] = 585.0003051757813,
						["font"] = "Calibri",
						["iconalpha"] = 0.75,
						["border"] = "None",
						["fontsize"] = 11,
						["texture"] = "BantoBarReverse",
						["x"] = 1253,
--						["x"] = 1092.000244140625,
					},
				},
			},
		},
	}
	if NS:IsValidVersion(WOW_PROJECT_MAINLINE) then
		FauxMazzle.profiles = {
			["FauxMazzle"] = {
			},
		}
	end
	return FauxMazzle
end
